# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.26

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /home/kahr/Projects/bachelors_project/diffvg/.venv/lib/python3.10/site-packages/cmake/data/bin/cmake

# The command to remove a file.
RM = /home/kahr/Projects/bachelors_project/diffvg/.venv/lib/python3.10/site-packages/cmake/data/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/kahr/Projects/bachelors_project/diffvg

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/kahr/Projects/bachelors_project/diffvg

# Include any dependencies generated for this target.
include CMakeFiles/diffvg.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/diffvg.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/diffvg.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/diffvg.dir/flags.make

CMakeFiles/diffvg.dir/atomic.cpp.o: CMakeFiles/diffvg.dir/flags.make
CMakeFiles/diffvg.dir/atomic.cpp.o: atomic.cpp
CMakeFiles/diffvg.dir/atomic.cpp.o: CMakeFiles/diffvg.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/kahr/Projects/bachelors_project/diffvg/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/diffvg.dir/atomic.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/diffvg.dir/atomic.cpp.o -MF CMakeFiles/diffvg.dir/atomic.cpp.o.d -o CMakeFiles/diffvg.dir/atomic.cpp.o -c /home/kahr/Projects/bachelors_project/diffvg/atomic.cpp

CMakeFiles/diffvg.dir/atomic.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/diffvg.dir/atomic.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/kahr/Projects/bachelors_project/diffvg/atomic.cpp > CMakeFiles/diffvg.dir/atomic.cpp.i

CMakeFiles/diffvg.dir/atomic.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/diffvg.dir/atomic.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/kahr/Projects/bachelors_project/diffvg/atomic.cpp -o CMakeFiles/diffvg.dir/atomic.cpp.s

CMakeFiles/diffvg.dir/color.cpp.o: CMakeFiles/diffvg.dir/flags.make
CMakeFiles/diffvg.dir/color.cpp.o: color.cpp
CMakeFiles/diffvg.dir/color.cpp.o: CMakeFiles/diffvg.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/kahr/Projects/bachelors_project/diffvg/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/diffvg.dir/color.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/diffvg.dir/color.cpp.o -MF CMakeFiles/diffvg.dir/color.cpp.o.d -o CMakeFiles/diffvg.dir/color.cpp.o -c /home/kahr/Projects/bachelors_project/diffvg/color.cpp

CMakeFiles/diffvg.dir/color.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/diffvg.dir/color.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/kahr/Projects/bachelors_project/diffvg/color.cpp > CMakeFiles/diffvg.dir/color.cpp.i

CMakeFiles/diffvg.dir/color.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/diffvg.dir/color.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/kahr/Projects/bachelors_project/diffvg/color.cpp -o CMakeFiles/diffvg.dir/color.cpp.s

CMakeFiles/diffvg.dir/diffvg.cpp.o: CMakeFiles/diffvg.dir/flags.make
CMakeFiles/diffvg.dir/diffvg.cpp.o: diffvg.cpp
CMakeFiles/diffvg.dir/diffvg.cpp.o: CMakeFiles/diffvg.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/kahr/Projects/bachelors_project/diffvg/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/diffvg.dir/diffvg.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/diffvg.dir/diffvg.cpp.o -MF CMakeFiles/diffvg.dir/diffvg.cpp.o.d -o CMakeFiles/diffvg.dir/diffvg.cpp.o -c /home/kahr/Projects/bachelors_project/diffvg/diffvg.cpp

CMakeFiles/diffvg.dir/diffvg.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/diffvg.dir/diffvg.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/kahr/Projects/bachelors_project/diffvg/diffvg.cpp > CMakeFiles/diffvg.dir/diffvg.cpp.i

CMakeFiles/diffvg.dir/diffvg.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/diffvg.dir/diffvg.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/kahr/Projects/bachelors_project/diffvg/diffvg.cpp -o CMakeFiles/diffvg.dir/diffvg.cpp.s

CMakeFiles/diffvg.dir/parallel.cpp.o: CMakeFiles/diffvg.dir/flags.make
CMakeFiles/diffvg.dir/parallel.cpp.o: parallel.cpp
CMakeFiles/diffvg.dir/parallel.cpp.o: CMakeFiles/diffvg.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/kahr/Projects/bachelors_project/diffvg/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/diffvg.dir/parallel.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/diffvg.dir/parallel.cpp.o -MF CMakeFiles/diffvg.dir/parallel.cpp.o.d -o CMakeFiles/diffvg.dir/parallel.cpp.o -c /home/kahr/Projects/bachelors_project/diffvg/parallel.cpp

CMakeFiles/diffvg.dir/parallel.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/diffvg.dir/parallel.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/kahr/Projects/bachelors_project/diffvg/parallel.cpp > CMakeFiles/diffvg.dir/parallel.cpp.i

CMakeFiles/diffvg.dir/parallel.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/diffvg.dir/parallel.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/kahr/Projects/bachelors_project/diffvg/parallel.cpp -o CMakeFiles/diffvg.dir/parallel.cpp.s

CMakeFiles/diffvg.dir/scene.cpp.o: CMakeFiles/diffvg.dir/flags.make
CMakeFiles/diffvg.dir/scene.cpp.o: scene.cpp
CMakeFiles/diffvg.dir/scene.cpp.o: CMakeFiles/diffvg.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/kahr/Projects/bachelors_project/diffvg/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object CMakeFiles/diffvg.dir/scene.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/diffvg.dir/scene.cpp.o -MF CMakeFiles/diffvg.dir/scene.cpp.o.d -o CMakeFiles/diffvg.dir/scene.cpp.o -c /home/kahr/Projects/bachelors_project/diffvg/scene.cpp

CMakeFiles/diffvg.dir/scene.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/diffvg.dir/scene.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/kahr/Projects/bachelors_project/diffvg/scene.cpp > CMakeFiles/diffvg.dir/scene.cpp.i

CMakeFiles/diffvg.dir/scene.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/diffvg.dir/scene.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/kahr/Projects/bachelors_project/diffvg/scene.cpp -o CMakeFiles/diffvg.dir/scene.cpp.s

CMakeFiles/diffvg.dir/shape.cpp.o: CMakeFiles/diffvg.dir/flags.make
CMakeFiles/diffvg.dir/shape.cpp.o: shape.cpp
CMakeFiles/diffvg.dir/shape.cpp.o: CMakeFiles/diffvg.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/kahr/Projects/bachelors_project/diffvg/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building CXX object CMakeFiles/diffvg.dir/shape.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/diffvg.dir/shape.cpp.o -MF CMakeFiles/diffvg.dir/shape.cpp.o.d -o CMakeFiles/diffvg.dir/shape.cpp.o -c /home/kahr/Projects/bachelors_project/diffvg/shape.cpp

CMakeFiles/diffvg.dir/shape.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/diffvg.dir/shape.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/kahr/Projects/bachelors_project/diffvg/shape.cpp > CMakeFiles/diffvg.dir/shape.cpp.i

CMakeFiles/diffvg.dir/shape.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/diffvg.dir/shape.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/kahr/Projects/bachelors_project/diffvg/shape.cpp -o CMakeFiles/diffvg.dir/shape.cpp.s

# Object files for target diffvg
diffvg_OBJECTS = \
"CMakeFiles/diffvg.dir/atomic.cpp.o" \
"CMakeFiles/diffvg.dir/color.cpp.o" \
"CMakeFiles/diffvg.dir/diffvg.cpp.o" \
"CMakeFiles/diffvg.dir/parallel.cpp.o" \
"CMakeFiles/diffvg.dir/scene.cpp.o" \
"CMakeFiles/diffvg.dir/shape.cpp.o"

# External object files for target diffvg
diffvg_EXTERNAL_OBJECTS =

build/lib.linux-x86_64-cpython-310/diffvg.so: CMakeFiles/diffvg.dir/atomic.cpp.o
build/lib.linux-x86_64-cpython-310/diffvg.so: CMakeFiles/diffvg.dir/color.cpp.o
build/lib.linux-x86_64-cpython-310/diffvg.so: CMakeFiles/diffvg.dir/diffvg.cpp.o
build/lib.linux-x86_64-cpython-310/diffvg.so: CMakeFiles/diffvg.dir/parallel.cpp.o
build/lib.linux-x86_64-cpython-310/diffvg.so: CMakeFiles/diffvg.dir/scene.cpp.o
build/lib.linux-x86_64-cpython-310/diffvg.so: CMakeFiles/diffvg.dir/shape.cpp.o
build/lib.linux-x86_64-cpython-310/diffvg.so: CMakeFiles/diffvg.dir/build.make
build/lib.linux-x86_64-cpython-310/diffvg.so: CMakeFiles/diffvg.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/home/kahr/Projects/bachelors_project/diffvg/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Linking CXX shared module build/lib.linux-x86_64-cpython-310/diffvg.so"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/diffvg.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/diffvg.dir/build: build/lib.linux-x86_64-cpython-310/diffvg.so
.PHONY : CMakeFiles/diffvg.dir/build

CMakeFiles/diffvg.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/diffvg.dir/cmake_clean.cmake
.PHONY : CMakeFiles/diffvg.dir/clean

CMakeFiles/diffvg.dir/depend:
	cd /home/kahr/Projects/bachelors_project/diffvg && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/kahr/Projects/bachelors_project/diffvg /home/kahr/Projects/bachelors_project/diffvg /home/kahr/Projects/bachelors_project/diffvg /home/kahr/Projects/bachelors_project/diffvg /home/kahr/Projects/bachelors_project/diffvg/CMakeFiles/diffvg.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : CMakeFiles/diffvg.dir/depend

